Page MenuHomePhabricator

[PowerPC] Accumulator/Unprimed Accumulator register copy, spill and restore
ClosedPublic

Authored by saghir on Nov 2 2020, 7:56 AM.

Details

Summary

This patch adds support for accumulator/unprimed accumulator
register copy, spill and restore for MMA.

Authored By: Baptiste Saleil

Diff Detail

Unit TestsFailed

TimeTest
410 mslinux > HWAddressSanitizer-x86_64.TestCases::sizes.cpp
Script: -- : 'RUN: at line 3'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang --driver-mode=g++ -m64 -gline-tables-only -fsanitize=hwaddress -fuse-ld=lld -mcmodel=large -mllvm -hwasan-globals -mllvm -hwasan-use-short-granules -mllvm -hwasan-instrument-landing-pads=0 -mllvm -hwasan-instrument-personality-functions /mnt/disks/ssd0/agent/llvm-project/compiler-rt/test/hwasan/TestCases/sizes.cpp -nostdlib++ -lstdc++ -o /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/hwasan/X86_64/TestCases/Output/sizes.cpp.tmp
540 mswindows > LLVM.CodeGen/AMDGPU::ds_read2.ll
Script: -- : 'RUN: at line 2'; c:\ws\w16-1\llvm-project\premerge-checks\build\bin\llc.exe -march=amdgcn -mcpu=bonaire -verify-machineinstrs -mattr=+load-store-opt < C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll | c:\ws\w16-1\llvm-project\premerge-checks\build\bin\filecheck.exe -enable-var-scope -check-prefixes=GCN,CI C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll

Event Timeline

saghir created this revision.Nov 2 2020, 7:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 2 2020, 7:56 AM
saghir requested review of this revision.Nov 2 2020, 7:56 AM
saghir added a reviewer: Restricted Project.Nov 2 2020, 7:57 AM
saghir edited the summary of this revision. (Show Details)Nov 2 2020, 10:34 AM
bsaleil accepted this revision.Nov 3 2020, 12:39 PM
bsaleil added a subscriber: bsaleil.

LGTM, Thanks

This revision is now accepted and ready to land.Nov 3 2020, 12:39 PM
amyk accepted this revision.Nov 10 2020, 8:40 AM
amyk added a subscriber: amyk.

Aside from the clang-format, LGTM.

This revision was landed with ongoing or failed builds.Nov 11 2020, 2:24 PM
This revision was automatically updated to reflect the committed changes.